Name: thrift
Version: 0.3.0
Release: alt3

Summary: Software framework for scalable cross-language services development
License: Apache
Group: Development/Tools
Url: http://incubator.apache.org/thrift/

Packager: Vitaly Kuznetsov <vitty@altlinux.ru>
BuildRequires: boost-devel gcc-c++ flex

Source0: %name-%version.tar

%description
Thrift is a software framework for scalable cross-language services development.
It combines a software stack with a code generation engine to build services
that work efficiently and seamlessly between C++, Java, Python, PHP, Ruby,
Erlang, Perl, Haskell, C#, Cocoa, Smalltalk, and OCaml.

%package devel
Group: Development/C++
Summary: Headers for %name

%description devel
Headers for building software that uses %name

%package -n lib%name
Group: Development/Tools
Summary: Software framework for scalable cross-language services development

%description -n lib%name
Thrift is a software framework for scalable cross-language services development.
It combines a software stack with a code generation engine to build services
that work efficiently and seamlessly between C++, Java, Python, PHP, Ruby,
Erlang, Perl, Haskell, C#, Cocoa, Smalltalk, and OCaml.

%package -n python-module-%name
Group: Development/Python
Summary: Python module for %name
BuildRequires: python-dev
BuildRequires(pre): rpm-build-python

%description -n python-module-%name
Python module for %name

%package -n perl-Thrift
Group: Development/Perl
Summary: Perl module for %name
BuildRequires: perl-devel perl-Encode perl-Bit-Vector perl-libwww perl-IO-String perl-Class-Accessor-Class

%description -n perl-Thrift
Perl module for %name

%package java
Group: Development/Java
Summary: Perl module for %name
BuildRequires(pre): rpm-build-java
BuildRequires: java-devel ant slf4j jakarta-commons-lang ant-optional ant-junit
BuildArch: noarch

%description java
Java module for %name

%prep
%setup
./bootstrap.sh

%build
%configure --disable-static --with-ruby=no
%make_build

%check
%make check

%install
%makeinstall_std
mkdir -p %buildroot/%_datadir/java
mv %buildroot/usr/local/lib/libthrift.jar %buildroot/%_datadir/java/thrift-%version.jar
pushd %buildroot/%_datadir/java/
ln -s ./thrift-%version.jar ./thrift.jar
popd

%files
%doc CHANGES CONTRIBUTORS DISCLAIMER NEWS README
%_bindir/%name

%files -n lib%name
%_libdir/*.so.*

%files devel
%_includedir/%name
%_pkgconfigdir/%name.pc
%_libdir/*.so

%files -n python-module-%name
%python_sitelibdir/%name/
%python_sitelibdir/*.egg-info

%files -n perl-Thrift
%perl_vendor_privlib/Thrift.pm
%perl_vendor_privlib/Thrift

%files java
%_docdir/%name/java
%_datadir/java/*.jar

%changelog
* Mon Dec 13 2010 Vitaly Kuznetsov <vitty@altlinux.ru> 0.3.0-alt3
- disable ruby module build

* Mon Nov 15 2010 Vitaly Kuznetsov <vitty@altlinux.ru> 0.3.0-alt2
- name thrift jars properly

* Wed May 19 2010 Vitaly Kuznetsov <vitty@altlinux.ru> 0.3.0-alt1
- 0.3.0
- enable tests

* Mon Apr 05 2010 Vitaly Kuznetsov <vitty@altlinux.ru> 0.2.0-alt1
- initial
